Summary: Lets users configure procmail or maildrop rules.
%define name smeserver-mailsorting
Name: %{name}
%define version 1.2
%define release 5
Version: %{version}
Release: %{release}%{?dist}
License: GPL
URL: http://www.dungog.net/sme
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}
Requires:  e-smith-release >= 7.0,
#Requires:  smeserver-userpanel
Requires:  perl-Unicode-IMAPUtf7
BuildRequires: e-smith-devtools
AutoReqProv: no

%description
SME Server enhancement to enable procmail or maildrop filtering for users.
Optionally provides user panels where users can create mail rules for themselves

%changelog
* Sat Mar 17 2007 Stephen Noble <stephen@dungog.net> 
- retry mail in .qmail [sme 2733]
- [1.2-5]

* Wed Feb 28 2007 Stephen Noble <stephen@dungog.net> 
- remove Requires: smeserver-userpanel
- [1.2-4]

* Tue Jan 9 2007 Stephen Noble <support@dungog.net>
- remove .* after TO_ macro [sme 2264]
- Existing mail folders search improved [sme 2265]
- [1.2-3]

* Mon Oct 30 2006  Stephen Noble <support@dungog.net>
- improved german support, thanks Dietmar
- Unicode-IMAPUtf7 support [sme 1446]
- [1.2-2]

* Sat Oct 21 2006 Stephen Noble <support@dungog.net>
- FormMagick version
- [1.2-1]

* Thu Aug 24 2006 Stephen Noble <support@dungog.net>
- remove strict check on mailrule criterion [sme 1643]
- fix log rotation
- maildrop matching improved, [sme 1642]
- allow for spaces in folder names for maildrop [sme 1640]
- [0.9-6]

* Sat May 6 2006 Stephen Noble <support@dungog.net>
- default shell for maildrop set to /bin/bash
-  [contribs 1378] thanks mweinber neddix.de
- [0.9-5]

* Wed Apr 6 2006 Stephen Noble <support@dungog.net>
- delete duplicates
-  globally enabled for procmail, works ok
-  per user for maildrop, worked ok for user A, but started deleting mail for user B
- [0.9-4]

* Thu Mar 9 2006 Stephen Noble <support@dungog.net>
- remove preun actions
- [0.9-3]

* Thu Mar 9 2006 Stephen Noble <support@dungog.net>
- Requires:  smeserver-userpanel
- bypass admin's .qmail
- [0.9-2]

* Sun Sep 25 2005  Stephen Noble <support@dungog.net>
- initial release
- [0.9-1]

%prep
%setup

%build
perl createlinks

LEXICONS1=$(find root/etc/e-smith/locale/ -type f )
LEXICONS2=$(find root/etc/e-smith/web/functions/ -type f )
for lexicon in $LEXICONS1 $LEXICONS2
do
    /sbin/e-smith/validate-lexicon $lexicon
done

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
     --file '/etc/cron.weekly/mailsorting' 'attr(0755,root,root)' \
     > %{name}-%{version}-filelist
echo "%doc COPYING" >> %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%pre
%preun

%post
#new installs
if [ $1 = 1 ] ; then
 /bin/touch /home/e-smith/db/processmail

 echo ' '
 echo 'to enable for all users'
 echo 'for Procmail'
 echo "config setprop qmail FilterType procmail"
 echo 'or for maildrop'
 echo "config setprop qmail FilterType maildrop"
 echo 'then'
 echo 'signal-event mailsorting-conf'
 echo ' '

fi

#upgrades (and new installs)
/etc/e-smith/events/actions/navigation-conf 2>/dev/null
/sbin/e-smith/signal-event mailsorting-conf

#if [ -d /etc/e-smith/events/conf-userpanel ] ; then
#   /sbin/e-smith/signal-event conf-userpanel
#fi

%postun
#uninstall
if [ $1 = 0 ] ; then

 DBS=`find /home/e-smith/db/navigation -type f -name "navigation.*"`
 for db in $DBS ; do
          /sbin/e-smith/db $db delete userpanel-mailsort 2>/dev/null
 done

 echo ''
 echo 'to disable procmail or maildrop'
 echo 'config delprop qmail FilterType'
 echo 'signal-event email-update'
 echo ''

fi

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
